<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qnx-module.qdoc -->
  <title>qnx QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">qnx QML Type</h1>
<span class="subtitle"></span>
<!-- $$$qnx-brief -->
<p>Provides support for building QNX applications using the QNX SDK. <a href="#details">More...</a></p>
<!-- @@@qnx -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Since:</td><td class="memItemRight bottomAlign"> Qbs 1.8</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-qnx-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-qnx.html#configurationDir-prop">configurationDir</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qnx.html#hostDir-prop">hostDir</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qnx.html#sdkDir-prop">sdkDir</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qnx.html#targetDir-prop">targetDir</a></b></b> : string</li>
</ul>
<!-- $$$qnx-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The <code>qnx</code> module contains properties and rules for QNX development. It has been tested with the QNX 6.5, 6.6, and 7.0 SDKs.</p>
<!-- @@@qnx -->
<h2>Property Documentation</h2>
<!-- $$$configurationDir -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="configurationDir-prop">
<td class="tblQmlPropNode"><p>
<span class="name">configurationDir</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The QNX configuration directory.</p>
<p>Equivalent to the <code>QNX_CONFIGURATION</code> environment variable.</p>
<p>Default: <code>~/.qnx</code></p>
</div></div><!-- @@@configurationDir -->
<br/>
<!-- $$$hostDir -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="hostDir-prop">
<td class="tblQmlPropNode"><p>
<span class="name">hostDir</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The QNX host directory.</p>
<p>Equivalent to the <code>QNX_HOST</code> environment variable.</p>
<p>You should not normally need to set this property as it will be set to an appropriate value based on your host operating system and the installed QNX SDK in <a href="qml-qbsmodules-qnx.html#sdkDir-prop">sdkDir</a>.</p>
<p>Default: Determined automatically.</p>
</div></div><!-- @@@hostDir -->
<br/>
<!-- $$$sdkDir -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="sdkDir-prop">
<td class="tblQmlPropNode"><p>
<span class="name">sdkDir</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The SDK base directory.</p>
<p>Default: Determined automatically if the QNX SDK is installed at one of the standard locations, such as <code>~/qnx700</code>, <code>/opt/qnx700</code>, or <code>C:\\qnx700</code>.</p>
</div></div><!-- @@@sdkDir -->
<br/>
<!-- $$$targetDir -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="targetDir-prop">
<td class="tblQmlPropNode"><p>
<span class="name">targetDir</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The QNX target directory.</p>
<p>Equivalent to the <code>QNX_TARGET</code> environment variable.</p>
<p>You should not normally need to set this property as it will be set to an appropriate value based on the installed QNX SDK in <a href="qml-qbsmodules-qnx.html#sdkDir-prop">sdkDir</a>.</p>
<p>Default: Determined automatically.</p>
</div></div><!-- @@@targetDir -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
